package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vctgo.system.api.domain.vo.VoteExpertSubmissionCountVo;
import com.vctgo.system.api.domain.vo.VoteExpertSubmissionVo;
import com.vote.system.domain.*;
import com.vote.system.domain.vo.VoteExpertWorkingPlatformVo;
import com.vote.system.domain.vo.VoteSubmissionVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author feng
 * @date 2024/8/29
 */
public interface VoteExpertWorkingPlatformService {

    IPage<VoteExpertWorkingPlatformVo> expertPlatformPage(String judgesId);

    List<VoteScoringItem> getItem(Long ruleId);

    VoteEvents getEventDetails(Long eventId);

    List<VoteExpertSubmissionVo> expertPlatformDetail(Long eventId, Long workSettingsId, Long roundId, String status, HttpServletRequest request);

    VoteExpertSubmissionCountVo expertPlatformCount(Long eventId, Long workSettingsId, Long roundId,HttpServletRequest request);

    VoteSubmission expertPlatformSubmissionDetails(Long eventId, Long workSettingsId, Long roundId, Long submissionId);

    int expertScoring(String encode,HttpServletRequest request);
}
